Bug 179686 - xfce4-panel crashes when adding xfce4-panel-plugin
xfce4-panel crashes when adding xfce4-panel-plugin
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xfce4-netload-plugin (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-01 20:47 EST by Tarltz
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-05 19:23:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tarltz 2006-02-01 20:47:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
When I use "Add new item" ->  "Netload" , xfce4-panel crashes  with message
"*** buffer overflow detected ***: xfce4-panel terminated"
There are "typo" in xfce4-netload-plugin-0.3.3/panel-plugin/wormulon/linux.c 
xfce4-panel does not crash if rebuild xfce4-netload plugin WITHOUT "-D_FORTIFY_SOURCE=2" , I think.

---xfce4-netload-plugin-0.3.3.old/panel-plugin/wormulon/linux.c 2005-08-01 07:56:38.000000000 +0900
+++ xfce4-netload-plugin-0.3.3/panel-plugin/wormulon/linux.c 2006-02-01 09:40:57.000000000 +0900
@@ -101,11 +101,11 @@

/* do not parse the first two lines as they only contain static garbage */
fseek(proc_net_dev, 0, SEEK_SET);
- fgets(buffer, BUFSIZ-1, proc_net_dev);
- fgets(buffer, BUFSIZ-1, proc_net_dev);
+ fgets(buffer, BUFSIZE-1, proc_net_dev);
+ fgets(buffer, BUFSIZE-1, proc_net_dev);

interfacefound = 0;
- while (fgets(buffer, BUFSIZ-1, proc_net_dev) != NULL)
+ while (fgets(buffer, BUFSIZE-1, proc_net_dev) != NULL)
{
/* find the device name and substitute ':' with '\0' */
ptr = buffer;


Version-Release number of selected component (if applicable):
xfce4-netload-plugin-0.3.3-3

How reproducible:
Always

Steps to Reproduce:
1. click right button on xfce4-panel
2. choose "Add new item"
3. choose "Netload" and click "Add" button on "Add new item" dialog
  

Additional info:
Comment 1 Christoph Wickert 2006-02-03 15:50:15 EST
Thanks for the patch. This is definitely a typo. Still compiling with
"-D_FORTIFY_SOURCE=2".

The new release 0.3.3-4 works well here. Should be on the servers in a few days.
Could you please verify this package works on your computer?
Comment 2 Tarltz 2006-02-05 19:23:55 EST
I updated xfce4-netload-plugin to 0.3.3-4 
, and It works fine. thank you.

Note You need to log in before you can comment on or make changes to this bug.